<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Обработчик добавления/редактирования документов.
 * 
 * Файл: /admin/documents/action/add_documents.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
// получаем переданные поля
$documents_dir_id = to_int($_POST['documents_dir_id']);
$documents_status_id = to_int($_POST["documents_status_id"]);
$documents_name = to_str($_POST['documents_name']);
$version_id = to_int($_POST['documents_version_id']);
$version_comment = to_str($_POST['documents_version_comment']);
$documents_text = to_str($_POST['documents_text']);
$templates_id = to_int($_POST["templates_id"]);
$site_id = to_int($_REQUEST['site_id']);

// Приперемещении документа между сайтам ипроверяем чтобы родительский каталог документа был корень, иначе перемещаем документ в корень целевого сайта
if ($site_id != CURRENT_SITE && $documents_dir_id != 0) 
{
	$documents_dir_id = 0;
}

// выбираем пользователя из сессии
if (isset($_SESSION["current_users_id"]))
{
	$users_id = to_int($_SESSION["current_users_id"]);
}
else 
{
	$users_id = 0;
}

if (isset($_POST['documents_version_current']))
{
	$version_current = 1;
}
else
{
	$version_current = 0;
}

// Проверяем подключен ли модуль типографики.
if (class_exists("typograph"))
{
	// Модуль типографики подключен, проверяем, нужно ли применять типографику.
	if (isset($_POST['use_typograph']))
	{
		// Создаем объект типографа и типографируем текст.
		$typograph = new typograph();
		$documents_text = $typograph->ProcessTypographic($documents_text, isset($_POST['trailing_punctuation']));
	}
}

$documents_id = to_int($_POST["documents_id"]);
$type = $documents_id > 0 ? 1 : 0;

if ($insert_documents_id = $documents->insert_documents($type, $documents_id, $documents_dir_id, $users_id, $documents_status_id, $documents_name, $version_id, $version_current, $version_comment, $documents_text, $templates_id, $site_id))
{
	$admin_forms = new admin_forms();
	$window_id = $admin_forms->GetWindowId();
	?><script type="text/javascript">
	$.appendInput('<?php echo $window_id?>', 'EditAddDocument', 'documents_id', '<?php echo $insert_documents_id?>');
	</script><?php
	
	// Редактирование документа	
	if ($type)
	{
		show_message($GLOBALS['MSG_documents']['documents_edit_success']);
	}
	else // Добавление документа 
	{
		show_message($GLOBALS['MSG_documents']['documents_add_success']);
	}
}
else // Ошибка добавления/редактирования
{
	if ($type)
	{
		show_error_message($GLOBALS['MSG_documents']['documents_edit_error']);
	}
	else 
	{
		show_error_message($GLOBALS['MSG_documents']['documents_add_error']);
	}
}
?>